#!/bin/bash

readme_path="../../build/share/muckturnier/Readme.htm"
if [[ ! -e "$readme_path" ]]; then
    echo
    echo "Please build first to have the compiled Readme!"
    exit 1
fi

version=$(git describe --dirty)
version=${version##*v}
main_version=${version%%-*}
version_parts=(${main_version//./ })
version_major=${version_parts[0]}
version_minor=${version_parts[1]}
[[ "${version_parts[2]}" != "" ]] && version_bugfix=${version_parts[2]} || version_bugfix=0

mkdir macos_files

tar -xJf muckturnier-$version.tar.xz -C macos_files/

../release_tools/create_iconset.sh \
    macos_files/muckturnier-$version/res/icons/muckturnier \
    macos_files/muckturnier.iconset

../release_tools/create_iconset.sh \
    macos_files/muckturnier-$version/res/icons/application-x-muckturnier \
    macos_files/application-x-muckturnier.iconset

cp $readme_path macos_files/

sed -i "s/@VERSION@/$version/" macos_files/muckturnier-$version/res/macos_build/make_macos_build.sh

sed -i "s/@VERSION@/$version_major.$version_minor.$version_bugfix/" \
       macos_files/muckturnier-$version/res/macos_build/Info.plist
sed -i "s/@COPYRIGHT@/2011-$(date +%Y)/" macos_files/muckturnier-$version/res/macos_build/Info.plist
