/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DISCOVERCLIENT_H
#define DISCOVERCLIENT_H

// Local includes
#include "network/AbstractDiscoverEngine.h"

// Qt includes
#include <QJsonObject>

// Qt classes
class QTimer;

class DiscoverClient : public AbstractDiscoverEngine
{
    Q_OBJECT

public:
    explicit DiscoverClient(QObject *parent, int port, int discoverTimeout);
    bool discoverServer();

signals:
    void discoverResult(const QString &ip, int port);

protected:
    virtual void processData(const QJsonObject &jsonObject, const QHostAddress &);

private slots:
    void discoverTimeout();

private: // Variables
    QTimer *m_timer;

};

#endif // DISCOVERCLIENT_H
