/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef EXPORTFORMATTINGPAGE_H
#define EXPORTFORMATTINGPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Qt classes
class QCheckBox;
class QRadioButton;

class ExportFormattingPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    enum UnimportantGoalsHandling {
        Display,
        Brace,
        Hide
    };

    explicit ExportFormattingPage(const QString &boogerSymbol, QWidget *parent = nullptr);
    virtual void saveSettings() override;

    bool exportHeadlines() const;
    bool exportSubHeadlines() const;
    bool displayBoogers() const;
    UnimportantGoalsHandling unimportantGoalsHandling() const;

private: // Variables
    QCheckBox *m_exportHeadlines;
    QCheckBox *m_exportSubHeadlines;
    QCheckBox *m_displayBoogers;
    QRadioButton *m_displayUnimportantGoals;
    QRadioButton *m_braceUnimportantGoals;
    QRadioButton *m_hideUnimportantGoals;

};

#endif // EXPORTFORMATTINGPAGE_H
