/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef RADIOBUTTONLABEL_H
#define RADIOBUTTONLABEL_H

// Qt includes
#include <QLabel>

// Qt classes
class QRadioButton;

class RadioButtonLabel : public QLabel
{
    Q_OBJECT

public:
    explicit RadioButtonLabel(const QString &text, QRadioButton *buddy, QWidget *parent = nullptr);

protected:
    virtual void mouseReleaseEvent(QMouseEvent *event);

private: // Variables
    QRadioButton *m_buddy;

};

#endif // RADIOBUTTONLABEL_H
