/* Copyright (c) 2010-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef NEWTOURNAMENTDIALOG_H
#define NEWTOURNAMENTDIALOG_H

// Local includes
#include "shared/FileDialog.h"

// Local classes
class SharedObjects;
class Database;
class Settings;
class TournamentSettings;
class StackedWidgetList;
class OptionalPagesPage;

// Qt classes
class QCheckBox;

class NewTournamentDialog : public FileDialog
{
    Q_OBJECT

public:
    explicit NewTournamentDialog(QWidget *parent, SharedObjects *sharedObjects);

signals:
    void reopenLastOpenedDb(const QString &lastDbPath);

private slots:
    virtual void accept() override;
    void setExtendedOptionsVisible(int state);
    void processActivatedLink(const QString &anchor);

private: // Variables
    SharedObjects *m_sharedObjects;
    Database *m_db;
    Settings *m_settings;
    TournamentSettings *m_tournamentSettings;
    StackedWidgetList *m_stackedWidgetList;
    QCheckBox *m_saveTemplate;

    OptionalPagesPage *m_optionalPagesPage;

};

#endif // NEWTOURNAMENTDIALOG_H
