/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef REGISTRATIONSETTINGSPAGE_H
#define REGISTRATIONSETTINGSPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"
#include "shared/RegistrationColumns.h"

// Local classes

class TournamentSettings;

namespace TournamentTemplate
{
struct Settings;
}

// Qt classes
class QCheckBox;

class RegistrationSettingsPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit RegistrationSettingsPage(
        const TournamentTemplate::Settings &tournamentTemplate,
        TournamentSettings *tournamentSettings,
        QWidget *parent = nullptr);
    virtual void saveSettings() override;

signals:
    void linkActivated(const QString &anchor);
    void showDrawOverviewPage() const;

public slots:
    void drawOverviewPageSelected(bool state);

private slots:
    void drawColumnShown(bool state);

private: // Variables
    TournamentSettings *m_tournamentSettings;
    QHash<RegistrationColumns::Column, QCheckBox *> m_column;
    QCheckBox *m_headerHidden;
    bool m_drawOverviewPageSelected;

};

#endif // REGISTRATIONSETTINGSPAGE_H
