/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DRAWSETTINGSDIALOG_H
#define DRAWSETTINGSDIALOG_H

// Local includes
#include "shared/TitleDialog.h"
#include "shared/Draw.h"

// Local classes
class DrawSettingsWidget;

class DrawSettingsDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit DrawSettingsDialog(QWidget *parent);
    void updateSettings(const Draw::Settings &settings);
    Draw::Settings settings() const;

private slots:
    void resetValues();

private: // Variables
    DrawSettingsWidget *m_drawSettingsWidget;
    Draw::Settings m_initialSettings;

};

#endif // DRAWSETTINGSDIALOG_H
