/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

// Local includes
#include "NumbersComboBox.h"

NumbersComboBox::NumbersComboBox(QWidget *parent) : QComboBox(parent)
{
    setSizeAdjustPolicy(QComboBox::AdjustToContents);
    setMinimumContentsLength(2);

    connect(this, QOverload<int>::of(&QComboBox::currentIndexChanged),
            this, [this] { emit currentNumberChanged(currentNumber()); });
}

int NumbersComboBox::currentNumber() const
{
    return currentData().toInt();
}

bool NumbersComboBox::setCurrentNumber(int number)
{
    const auto index = findData(number);
    if (index != -1) {
        setCurrentIndex(index);
        return true;
    } else {
        return false;
    }
}
