/* Copyright (c) 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef SCOREPOPUP_H
#define SCOREPOPUP_H

// Local includes
#include "shared/SelectionPopup.h"

class ScorePopup : public SelectionPopup
{
    Q_OBJECT

public:
    explicit ScorePopup(QWidget *parent, const int *boogerScore);
    void setupGui();
    int score() const;

private slots:
    void scoreClicked(QPushButton *button);

private: // Variables
    const int *m_boogerScore;
    int m_score;

};

#endif // SCOREPOPUP_H
