/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DISCOVERSERVER_H
#define DISCOVERSERVER_H

// Local includes
#include "network/AbstractDiscoverEngine.h"

// Qt includes
#include <QJsonObject>

class DiscoverServer : public AbstractDiscoverEngine
{
    Q_OBJECT

public:
    explicit DiscoverServer(QObject *parent, int port);
    bool serve(const QString &ip, int port);

signals:
    void message(const QString &text);

private slots:
    void invalidRequest(const QHostAddress &senderAddress, const QString &text);

private: // Functions
    virtual void processData(const QJsonObject &jsonObject, const QHostAddress &senderAddress);

private: // Variables
    QJsonObject m_serverAnnouncement;

};

#endif // DISCOVERYSERVER_H
