/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef SAVEONCLOSEPAGE_H
#define SAVEONCLOSEPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes
class Settings;

// Qt classes
class QCheckBox;

class SaveOnClosePage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit SaveOnClosePage(Settings *settings, QWidget *parent = nullptr);
    virtual void saveSettings() override;

private slots:
    void restoreDefaultValues();

private: // Variables
    Settings *m_settings;
    QCheckBox *m_saveWindowGeometry;
    QCheckBox *m_saveWindowState;
    QCheckBox *m_saveLastDbPath;
    QCheckBox *m_saveStopWatchState;
    QCheckBox *m_savePhoneticSearchState;

};

#endif // SAVEONCLOSEPAGE_H
