/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

// Local includes
#include "shared/TitleDialog.h"

// Local classes
class SharedObjects;
class StackedWidgetList;

class SettingsDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit SettingsDialog(QWidget *parent, SharedObjects *sharedObjects, bool networkInUse);

protected slots:
    virtual void accept() override;

private: // Variables
    StackedWidgetList *m_list;

};

#endif // SETTINGSDIALOG_H
