/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef STRINGSPAGE_H
#define STRINGSPAGE_H

// Local includes
#include "shared/AbstractSettingsPage.h"

// Local classes
class Settings;
class SpacesLineEdit;

// Qt classes
class QLabel;
class QComboBox;

class StringsPage : public AbstractSettingsPage
{
    Q_OBJECT

public:
    explicit StringsPage(Settings *settings, bool networkInUse, QWidget *parent = nullptr);
    virtual void saveSettings() override;

private slots:
    void updateSeparatorExample();
    void resetStrings();

private: // Variables
    Settings *m_settings;
    const bool m_networkInUse;

    QComboBox *m_boogerSymbol;
    SpacesLineEdit *m_namesSeparator;
    QLabel *m_separatorExample;

};

#endif // STRINGSPAGE_H
