/* Copyright (c) 2010-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef TOURNAMENTINFODIALOG_H
#define TOURNAMENTINFODIALOG_H

// Local classes
class SharedObjects;

// Local includes
#include "shared/TitleDialog.h"

// Qt classes
class QGridLayout;

class TournamentInfoDialog : public TitleDialog
{
    Q_OBJECT

public:
    explicit TournamentInfoDialog(QWidget *parent, SharedObjects *sharedObjects);

private: // Functions
    void addGroup(const QString &text);
    void addLabel(const QString &text);
    void addInfo(const QString &text, bool wordWrap = false);

private: // Variables
    QGridLayout *m_currentGroupLayout;
    int m_row;

};

#endif // TOURNAMENTINFODIALOG_H
