/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef ABSTRACTJSONENGINE_H
#define ABSTRACTJSONENGINE_H

// Local includes
#include "shared/StructTemplate.h"

// Qt includes
#include <QObject>
#include <QJsonObject>

// Qt classes
class QJsonObject;

using namespace StructTemplate;

class AbstractJsonEngine : public QObject
{
    Q_OBJECT

public:
    explicit AbstractJsonEngine(QObject *parent);

protected:
    QByteArray jsonObjectToByteArray(const QJsonObject &jsonObject) const;
    TSuccess<QJsonObject> jsonObjectFromByteArray(const QByteArray &byteArray) const;

};

#endif // ABSTRACTJSONENGINE_H
