/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DISCOVER_PROTOCOL_H
#define DISCOVER_PROTOCOL_H

#include <QJsonObject>

namespace DiscoverProtocol
{

constexpr int PROTOCOL_VERSION = 1;

const QLatin1String KEY_ACTION          ("action");
const QLatin1String KEY_PROTOCOL_VERSION("protocol version");

const QLatin1String VALUE_SEARCHING_SERVER("searching muckturnier server");

const QLatin1String VALUE_ANNOUNCING_SERVER("announcing muckturnier server");
const QLatin1String KEY_IP  ("ip");
const QLatin1String KEY_PORT("port");

const QJsonObject MESSAGE_SEARCHING_SERVER {
    { KEY_ACTION,           VALUE_SEARCHING_SERVER },
    { KEY_PROTOCOL_VERSION, PROTOCOL_VERSION }
};

}

#endif // DISCOVER_PROTOCOL_H
