/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef LED_H
#define LED_H

// Qt includes
#include <QLabel>
#include <QHash>

// Qt classes
class QTimer;

class Led : public QLabel
{
    Q_OBJECT

public:
    enum State {
        Off,
        Red,
        Green
    };

    explicit Led(int size, QWidget *parent = nullptr);
    void setState(State state);
    void flash();

private: // Variables
    QTimer *m_flashTimer;
    QHash<Led::State, QString> m_css;

};

#endif // LED_H
