/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef NETWORKSTATUSWIDGET_H
#define NETWORKSTATUSWIDGET_H

// Qt includes
#include <QWidget>

// Local classes
class IconSizeEngine;
class Led;

// Qt classes
class QLabel;

class NetworkStatusWidget : public QWidget
{
    Q_OBJECT

public:
    enum Mode {
        Server,
        Client
    };

    explicit NetworkStatusWidget(IconSizeEngine *iconSizeEngine, QWidget *parent = nullptr);
    void setMode(Mode mode);
    void setConnected(bool state);

public slots:
    void clientCountChanged(int count);
    void tx();
    void rx();

private: // Variables
    QLabel *m_connectionLabel;
    Led *m_connectionLed;
    Led *m_txLed;
    Led *m_rxLed;

};

#endif // NETWORKSTATUSWIDGET_H
