/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef ABSTRACTSETTINGSPAGE_H
#define ABSTRACTSETTINGSPAGE_H

// Qt includes
#include <QWidget>

// Qt classes
class QVBoxLayout;
class QLabel;

class AbstractSettingsPage : public QWidget
{
    Q_OBJECT

public:
    QString pageTitle() const;
    virtual void saveSettings() = 0;

protected:
    explicit AbstractSettingsPage(const QString &pageTitle, QWidget *parent = nullptr);
    QVBoxLayout *layout() const;
    QLabel *descriptionLabel(const QString &text) const;

private: // Variables
    const QString m_pageTitle;
    QVBoxLayout *m_layout;

};

#endif // ABSTRACTSETTINGSPAGE_H
