/* Copyright (c) 2010-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DEFAULTVALUES_H
#define DEFAULTVALUES_H

namespace DefaultValues
{

constexpr int BOOGER_SCORE      = 21;
constexpr int BOOGERS_PER_ROUND = 2;

const QString BOOGER_SYMBOL         = QStringLiteral("\u25CF");
const QString NAMES_SEPARATOR       = QStringLiteral(" / ");
const QString DB_FILE_NAME_TEMPLATE = QStringLiteral("'Muckturnier' yyyy");

constexpr int MAXIMUM_BOOGER_SCORE      = 9999;
constexpr int MAXIMUM_BOOGERS_PER_ROUND = 9999;
constexpr int MAXIMUM_DRAW_TABLES       = 9999;
constexpr int DRAW_TABLE_WARNING        = 300;

constexpr int IMPORT_SIZE_WARNING        = 9600;
constexpr int IMPORT_LINE_LENGTH_WARNING = 80;
constexpr int IMPORT_LINES_COUNT_WARNING = 300;

constexpr int SERVER_PORT       = 8810;
constexpr int CONNECT_TIMEOUT   = 6000;
constexpr int REQUEST_TIMEOUT   = 3000;

constexpr int DISCOVER_SERVER_PORT = 8811;
constexpr int DISCOVER_TIMEOUT     = 500;
constexpr int DISCOVER_ATTEMPTS    = 3;

}

#endif // DEFAULTVALUES_H
