/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef DEFEATABLEMESSAGEBOX_H
#define DEFEATABLEMESSAGEBOX_H

// Qt includes
#include <QObject>
#include <QHash>
#include <QMessageBox>

// Qt classes
class QWidget;

class DefeatableMessageBox : public QObject
{
    Q_OBJECT

public:
    explicit DefeatableMessageBox(QObject *parent);
    bool dontAsk(const char *id) const;
    void setDontAsk(const char *id, bool state);
    QMessageBox::StandardButton show(const char *id, QWidget *parent,
                                     const QString &title, const QString &text,
                                     QMessageBox::StandardButton defaultButton = QMessageBox::Yes);

private:
    QHash<const char *, bool> m_dontAsk;

};

#endif // DEFEATABLEMESSAGEBOX_H
