/* Copyright (c) 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef FILEDIALOG_H
#define FILEDIALOG_H

// Local includes
#include "TitleDialog.h"

// Qt includes
#include <QDialogButtonBox>

// Local classes
class Database;

class FileDialog : public TitleDialog
{
    Q_OBJECT

public:
    QString getTargetFileName(const QString &directory);
    void setTargetFileBaseName(const QString &targetFileBaseName);
    QString targetFileBaseName() const;
    void setTargetFileExtension(const QString &targetFileExtension);
    void setTargetFileDescription(const QString &targetFileDescription);
    void setFileDialogTitle(const QString &fileDialogTitle);
    void successMessage(const QString &title, const QString &message);
    void openFile(const QString &fileName);

protected:
    explicit FileDialog(QWidget *parent, Database *db,
                        DeleteMode deleteMode = DeleteMode::DeleteOnClose);

private: // Variables
    Database *m_db;
    QString m_targetFileBaseName;
    QString m_targetFileExtension;
    QString m_targetFileDescription;
    QString m_fileDialogTitle;

};

#endif // FILEDIALOG_H
