/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef MARKERS_H
#define MARKERS_H

#include <QString>
#include <QColor>
#include <QVector>

namespace Markers
{

// Combo boxes / types

enum Type {
    Default,
    Drawn,
    Absent,
    Single,
    Assigned
};

// Markers

enum MarkerSorting {
    NewBlock,
    Merged
};

struct Marker
{
    int id;
    QString name;
    QColor color;
    MarkerSorting sorting;
};

// Singles Management

constexpr int SINGLES_MANAGEMENT_VERSION = 1;

struct SinglesManagement
{
    bool enabled;
    int singleMarker;
    bool markSingles;
    QString conditionString;
    int condition;
    int assignedMarker;
};

const SinglesManagement DEFAULT_SINGLES_MANAGEMENT {
    false,               // enabled
    0,                   // singleMarker
    false,               // markSingles
    QStringLiteral("/"), // conditionString
    0,                   // condition
    0                    // assignedMarker
};

}

#endif // MARKERS_H
