/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef REGISTRATIONCOLUMNS_H
#define REGISTRATIONCOLUMNS_H

#include <QVector>
#include <QHash>

namespace RegistrationColumns
{

enum Column {
    Name,
    Mark,
    Draw,
    Marker
};

const QVector<Column> ALL_COLUMNS {
    Column::Mark,
    Column::Draw,
    Column::Marker
};

const QHash<Column, int> COLUMN_INDEX { { Column::Name,   0 },
                                        { Column::Mark,   1 },
                                        { Column::Draw,   2 },
                                        { Column::Marker, 3 } };

const QHash<Column, const char *> CHECKBOX_TEXT {
    { Column::Mark,   "Markieren" },
    { Column::Draw,   "Auslosung" },
    { Column::Marker, "Markierung" }
};

const QHash<Column, QString> COLUMN_ID {
    { Column::Mark,   QStringLiteral("mark") },
    { Column::Draw,   QStringLiteral("draw") },
    { Column::Marker, QStringLiteral("marker") }
};

const QVector<Column> DEFAULT_COLUMNS { Column::Mark };

}

#endif // REGISTRATIONCOLUMNS_H
