/* Copyright (c) 2018-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef SHARED_STYLES_H
#define SHARED_STYLES_H

namespace SharedStyles
{

const QLatin1String BOLD_TEXT  ("font-weight: bold;");
const QLatin1String RED_TEXT   ("color: red;");
const QLatin1String GREEN_TEXT ("color: green;");
const QLatin1String LOGO_HEADER("background-color: #2f874c;");
const QLatin1String LOGO_FOOTER("color: white; background-color: #309ac4;");

const QLatin1String GROUPBOX_NORMAL_TITLE("QGroupBox { font-weight: normal; }");

const QLatin1String SPLITTER_VISIBLE_VERTICAL(
    "QSplitter::handle {"
        "background-color: palette(Button);"
        "border: 1px solid palette(Mid);"
        "border-radius: 2px;"
        "margin: 4px 50px;"
    "}"
);
const QLatin1String SPLITTER_VISIBLE_HORIZONTAL(
    "QSplitter::handle {"
        "background-color: palette(Button);"
        "border: 1px solid palette(Mid);"
        "border-radius: 2px;"
        "margin: 50px 4px;"
    "}"
);
const QLatin1String SPLITTER_HIDDEN("QSplitter::handle { margin: 1px; }");

}

#endif // SHARED_STYLES_H
