/* Copyright (c) 2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef STOPWATCHSTATE_H
#define STOPWATCHSTATE_H

#include <QString>
#include <QByteArray>

namespace StopWatchState
{

constexpr int VERSION = 1;

struct State
{
    int hours;
    int minutes;
    int seconds;
    QString title;
    QByteArray geometry;
};

const State DEFAULT_STATE {
    0,           // Hours
    0,           // Minutes
    0,           // Seconds
    QString(),   // Title
    QByteArray() // Geometry
};

}

#endif // STOPWATCHSTATE_H
