/* Copyright (c) 2019-2020 Tobias Leupold <tobias.leupold@gmx.de>

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.
*/

#ifndef TOURNAMENT_H
#define TOURNAMENT_H

#include <QString>
#include <QHash>

namespace Tournament
{

// Tournament Mode

enum Mode {
    FixedPairs,
    SinglePlayers
};

const QString MODE_FIXED_PAIRS    = QStringLiteral("fixed pairs");
const QString MODE_SINGLE_PLAYERS = QStringLiteral("single players");
const QHash<Mode, QString> MODE_MAP {
    { Mode::FixedPairs,    MODE_FIXED_PAIRS },
    { Mode::SinglePlayers, MODE_SINGLE_PLAYERS }
};

// Score type

enum ScoreType {
    Horizontal,
    Vertical
};

const QString SCORE_TYPE_HORIZONTAL = QStringLiteral("horizontal");
const QString SCORE_TYPE_VERTICAL   = QStringLiteral("vertical");
const QHash<ScoreType, QString> SCORE_TYPE_MAP {
    { ScoreType::Horizontal, SCORE_TYPE_HORIZONTAL },
    { ScoreType::Vertical,   SCORE_TYPE_VERTICAL }
};

}

#endif // TOURNAMENT_H
